<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|Campaign Management">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to add a campaign component to a campaign." /><title>Adding a Campaign Component </title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/adding-campaign-components.html">Open topic with navigation</a>
        </p>
        <h2>Adding a Campaign Component <a name="kanchor155"></a></h2>
        <ol data-mc-continue="true">
            <li value="1">From within a project, click the <b class="UISelection">Campaigns</b> tab. </li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-campaigns-tab.png" title="Campaigns Tab" alt="Campaigns Tab" />
        </p>
        <ol data-mc-continue="true">
            <li value="2">When the Manage Campaigns area appears, find the campaign that you want to edit and click the <b class="UISelection">Edit</b> link. </li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-edit-link.png" title="Edit Campaign" alt="Edit Campaign" />
        </p>
        <ol data-mc-continue="true">
            <li value="3">
When the campaign configuration page appears, click the <b class="UISelection">Add e-mail, web page, or portable file</b> button. You can only add components to a campaign that uses the custom setup. You cannot add components to a campaign that you created with the canned phishing campaign. </li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-add-components.png" title="Add Component Button" alt="Add Component Button" /> <![CDATA[
]]></p>
        <ol data-mc-continue="true">
            <li value="4">Click on the campaign component that you want to add. 
After you add the component, the configuration page for the component appears. Follow the onscreen instructions to configure the component. </li>
        </ol>
        <p>
            <img src="../Resources/Images/se/se-choose-component.png" title="Component Types" alt="Component Types" />
        </p>
    </body>
</html>